/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */

if (!QfqNS) {
    var QfqNS = {};
}

if (!QfqNS.Element) {
    QfqNS.Element = {};
}

(function (n) {
    'use strict';


    /**
     *
     * @param $element
     * @constructor
     */
    function Text($element) {
        n.FormGroup.call(this, $element);

        if (!this.isType("text")) {
            throw new Error("$element is not of type 'text'");
        }
    }

    Text.prototype = Object.create(n.FormGroup.prototype);
    Text.prototype.constructor = Text;

    Text.prototype.setValue = function (val) {
        this.$element.val(val);
    };

    Text.prototype.getValue = function () {
        return this.$element.val();
    };

    n.Text = Text;

})(QfqNS.Element);